return(
	function(grid)
		-- Place pawns
		for i=1, 8 do
			grid:insert(Pawn:new('white', grid), i, 7)
			grid:insert(Pawn:new('black', grid), i, 2)
		end

		-- Place rooks
		for i=1, 8, 7 do
			grid:insert(Rook:new('white', grid), i, 8)
			grid:insert(Rook:new('black', grid), i, 1)
		end

		-- Place knights
		for i=2, 7, 5 do
			grid:insert(Knight:new('white', grid), i, 8)
			grid:insert(Knight:new('black', grid), i, 1)
		end

		-- Place Queens
		grid:insert(Queen:new('white', grid), 4, 8)
		grid:insert(Queen:new('black', grid), 4, 1)

		-- Place Kings
		grid:insert(King:new('white', grid), 5, 8)
		grid:insert(King:new('black', grid), 5, 1)

		-- Place bishops
		for i=3, 6, 3 do
			grid:insert(Bishop:new('white', grid), i, 8)
			grid:insert(Bishop:new('black', grid), i, 1)
		end
	end
)
