require('libraries/barrack')

local zMath = {}

function zMath.larger(a, b)
	barrack.check({a, b}, {'number', 'number'})

	if a > b then
		return a
	else
		return b
	end
end

function zMath.smaller(a, b)
	barrack.check({a, b}, {'number', 'number'})

	if a < b then
		return a
	else
		return b
	end
end

function zMath.toward(a, b, incr)
	incr = incr or 1

	if a > b then
		a = a - incr
		if a < b then
			a = b
		end
	elseif a < b then
		a = a + incr
		if a > b then
			a = b
		end
	end

	return(a)
end

return zMath
