-- Include Libraries
--zArray = require('libraries/zArray')
barrack = require('libraries/barrack'); --barrack.enable()
class = require('libraries/middleclass')
profi = require('libraries/proFi')
zMath = require('libraries/zMath')

-- Include Classes
Scene = require('class/scene')
Grid = require('class/grid')
Layer = require('class/layer')
Piece = require('class/piece')
	Pawn = require('class/piece/pawn')
	Knight = require('class/piece/knight')
	Bishop = require('class/piece/bishop')
	Rook = require('class/piece/rook')
	Queen = require('class/piece/queen')
	King = require('class/piece/king')

profi:start()

function range(i, to, inc)
	if i == nil then return end -- range(--[[ no args ]]) -> return "nothing" to fail the loop in the caller

    if not to then
    	to = i
        i  = to == 0 and 0 or (to > 0 and 1 or -1)
    end

	-- we don't have to do the to == 0 check
	-- 0 -> 0 with any inc would never iterate
    inc = inc or (i < to and 1 or -1)

    -- step back (once) before we start
    i = i - inc

    return function () if i == to then return nil end i = i + inc return i, i end
end

local activeScene = Scene:load('game')

function love.mousepressed(x, y, button)
	activeScene:mousepressed(x, y, button)
end

function love.keypressed(key)
	if key == 'escape' then
		love.event.quit()
	end

	activeScene:keypressed(key)
end

function love.keyreleased(key)
	activeScene:keyreleased(key)
end

function love.update(dt)
	activeScene:update(dt)
end

function love.draw()
	activeScene:draw()
	love.graphics.print( love.timer.getFPS(), 5, 5 )
end

function love.quit()
	profi:stop()
	--profi:writeReport(love.timer.getTime())
end
